<?xml version="1.0" encoding="utf-8"?>
<com.google.android.gms.ads.nativead.NativeAdView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/button_r20_white_bg"
        android:gravity="center_horizontal"
        android:orientation="horizontal">

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_margin="4dp"
            android:elevation="0dp"
            app:cardBackgroundColor="@android:color/transparent"
            app:cardCornerRadius="4dp"
            app:cardElevation="0dp">

            <com.google.android.gms.ads.nativead.MediaView
                android:id="@+id/mv_event_con"
                android:layout_width="120dp"
                android:layout_height="120dp" />

        </androidx.cardview.widget.CardView>

        <ImageView
            android:id="@+id/im_event_icon"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_marginTop="40dp"
            android:visibility="gone"
            tools:background="@drawable/ic_launcher_background" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:layout_marginTop="4dp"
            android:layout_marginBottom="4dp"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:paddingHorizontal="8dp">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button_r10_gray_bg"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:text="AD"
                    android:textColor="@color/main_text_ff0e8ce8"
                    android:textSize="12dp" />

                <TextView
                    android:id="@+id/tv_event_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:ellipsize="end"
                    android:gravity="start"
                    android:lineSpacingExtra="0dp"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:textSize="16dp"
                    tools:text="dddd dddd dddd  ddd " />
            </LinearLayout>

            <TextView
                android:id="@+id/tv_event_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:gravity="start"
                android:lineSpacingExtra="0dp"
                android:maxLines="2"
                android:minHeight="28dp"
                android:textColor="@color/black"
                android:textSize="12dp"
                tools:text="xxxxx xxxxxxxxxxx  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" />

            <TextView
                android:id="@+id/tv_event_bt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:background="@drawable/button_r10_gray_bg"
                android:gravity="center"
                android:minHeight="32dp"
                android:textColor="@color/black"
                android:textSize="14dp"
                android:textStyle="bold"
                tools:text="action now " />
        </LinearLayout>


    </LinearLayout>

</com.google.android.gms.ads.nativead.NativeAdView>